diff -pruN 0.29/debian/changelog 0.30/debian/changelog
--- 0.29/debian/changelog	2024-02-27 06:03:00.000000000 +0000
+++ 0.30/debian/changelog	2024-05-19 10:30:01.000000000 +0000
@@ -1,3 +1,10 @@
+dh-exec (0.30) unstable; urgency=medium
+
+  * dh-exec-install-rename: Change filename only if moving/renaming
+    the files Closes: #1068632
+
+ -- Craig Small <csmall@debian.org>  Sun, 19 May 2024 20:30:01 +1000
+
 dh-exec (0.29) unstable; urgency=medium
 
   * dh-exec-subst: use env:ENV_VAR substition too Closes: #1064849
diff -pruN 0.29/lib/dh-exec-install-move 0.30/lib/dh-exec-install-move
--- 0.29/lib/dh-exec-install-move	2024-02-27 06:03:00.000000000 +0000
+++ 0.30/lib/dh-exec-install-move	2024-05-19 10:30:01.000000000 +0000
@@ -42,11 +42,6 @@ if (defined ($ENV{"DH_CONFIG_ACT_ON_PACK
     $noop = 0;
 }
 
-#if (defined ($ENV{"DH_INTERNAL_OPTIONS"}) &&
-#    $ENV{"DH_INTERNAL_OPTIONS"} =~ /-[ai]/) {
-#    $noop = 0;
-#}
-
 if (/([^\s]*)\s+=>\s+([^\s]*)/ || /^=>\s+([^\s]*)/) {
     my ($src, $dst, $move_this);
     if (defined ($2)) {
@@ -58,7 +53,10 @@ if (/([^\s]*)\s+=>\s+([^\s]*)/ || /^=>\s
     my (undef, $dstpath, $dstfile) = File::Spec->splitpath ($dst);
     my $debpath = File::Spec->catdir ($tempdir, $dstpath);
 
-    unless ($noop) {
+    if ($noop) {
+        $_ = $src;
+        $_ .= "\n";
+    } else {
         make_path($debpath);
 
         if ($move_this) {
@@ -72,9 +70,9 @@ if (/([^\s]*)\s+=>\s+([^\s]*)/ || /^=>\s
                       File::Spec->catfile ($debpath, $dstfile)) or
                       die "Failed to copy '$src': $!";
         }
+        $_ = File::Spec->catfile ($debpath, $dstfile);
+        $_ .= " " . $dstpath if ($append_destpath eq TRUE);
+        $_ .= "\n";
     }
 
-    $_ = File::Spec->catfile ($debpath, $dstfile);
-    $_ .= " " . $dstpath if ($append_destpath eq TRUE);
-    $_ .= "\n";
 }
diff -pruN 0.29/lib/dh-exec-install-rename 0.30/lib/dh-exec-install-rename
--- 0.29/lib/dh-exec-install-rename	2024-02-27 06:03:00.000000000 +0000
+++ 0.30/lib/dh-exec-install-rename	2024-05-19 10:30:01.000000000 +0000
@@ -42,11 +42,6 @@ if (defined ($ENV{"DH_CONFIG_ACT_ON_PACK
     $noop = 0;
 }
 
-#if (defined ($ENV{"DH_INTERNAL_OPTIONS"}) &&
-#    $ENV{"DH_INTERNAL_OPTIONS"} =~ /-[ai]/) {
-#    $noop = 0;
-#}
-
 if (/([^\s]*)\s+=>\s+([^\s]*)/ || /^=>\s+([^\s]*)/) {
     my ($src, $dst, $move_this);
     if (defined ($2)) {
@@ -58,7 +53,10 @@ if (/([^\s]*)\s+=>\s+([^\s]*)/ || /^=>\s
     my (undef, $dstpath, $dstfile) = File::Spec->splitpath ($dst);
     my $debpath = File::Spec->catdir ($tempdir, $dstpath);
 
-    unless ($noop) {
+    if ($noop) {
+        $_ = $src;
+        $_ .= "\n";
+    } else {
         make_path($debpath);
 
         if ($move_this) {
@@ -72,9 +70,9 @@ if (/([^\s]*)\s+=>\s+([^\s]*)/ || /^=>\s
                       File::Spec->catfile ($debpath, $dstfile)) or
                       die "Failed to copy '$src': $!";
         }
+        $_ = File::Spec->catfile ($debpath, $dstfile);
+        $_ .= " " . $dstpath if ($append_destpath eq TRUE);
+        $_ .= "\n";
     }
 
-    $_ = File::Spec->catfile ($debpath, $dstfile);
-    $_ .= " " . $dstpath if ($append_destpath eq TRUE);
-    $_ .= "\n";
 }
diff -pruN 0.29/t/test_install_copy.bats 0.30/t/test_install_copy.bats
--- 0.29/t/test_install_copy.bats	2024-02-27 06:03:00.000000000 +0000
+++ 0.30/t/test_install_copy.bats	2024-05-19 10:30:01.000000000 +0000
@@ -70,7 +70,7 @@ EOF
 
     [ -f "${nullfile}" ]
     ! expect_file "/var/lib/dh-exec/foo.8"
-    expect_output "/var/lib/dh-exec/foo.8 /var/lib/dh-exec/"
+    expect_output "${nullfile}"
 }
 
 @test "install: DH_CONFIG_ACT_ON_PACKAGE works on regexp-y packages too" {
